AntVersion (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.condition.AntVersion class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.condition
Class AntVersion

    java.lang.Object
      org.apache.tools.ant.taskdefs.condition.AntVersion

All Implemented Interfaces:
  Condition

    public class AntVersion

extends java.lang.Object
implements Condition

An Ant version condition.

Since:
  Ant 1.7

Constructor Summary
`AntVersion()`

Method Summary
`boolean` | `eval()` Evalute the condition.
`java.lang.String` | `getAtLeast()` Get the atleast attribute.
`java.lang.String` | `getExactly()` Get the exactly attribute.
`void` | `setAtLeast(java.lang.String atLeast)` Set the atleast attribute.
`void` | `setExactly(java.lang.String exactly)` Set the exactly attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntVersion

    public AntVersion()

Method Detail

### eval

    public boolean eval()
                 throws BuildException

  Evalute the condition.

  Specified by:
    `eval` in interface `Condition`
  Returns:
    true if the condition is true.
  Throws:
    `BuildException` - if an error occurs.

### getAtLeast

    public java.lang.String getAtLeast()

  Get the atleast attribute.

  Returns:
    the atleast attribute.

### setAtLeast

    public void setAtLeast(java.lang.String atLeast)

  Set the atleast attribute. This is of the form major.minor.point. For example 1.7.0.

  Parameters:
    `atLeast` - the version to check against.

### getExactly

    public java.lang.String getExactly()

  Get the exactly attribute.

  Returns:
    the exactly attribute.

### setExactly

    public void setExactly(java.lang.String exactly)

  Set the exactly attribute. This is of the form major.minor.point. For example 1.7.0.

  Parameters:
    `exactly` - the version to check against.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD